# Generated from qpid-0.16.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name qpid

%global rubyabi 1.8

%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
%global gemname %{gem_name}
%global gemdir %{gem_dir}
%global gem_extdir %{ruby_sitearch}

Summary:       Ruby bindings for the Qpid messaging framework
Name:          rubygem-%{gem_name}
Version:       0.16.0
Release:       12%{?dist}.1
Group:         Development/Languages
# BZ#817639 to remove the Boost license text from LICENSE file
License:       ASL 2.0
URL:           http://qpid.apache.org
# Eventually the gem will be moved to rubygems.org. Currently there's a gem
# there already named qpid. The owner, Tarik Al-Kasab, has agreed to release
# the name to us, but hasn't done so as of yet.
Source0:       http://mcpierce.fedorapeople.org/sources/%{gem_name}-%{version}.gem
Provides:      rubygem(%{gem_name}) = %{version}
Provides:      ruby-qpid = %{version}-%{release}
Obsoletes:     ruby-qpid < 0.8-2

BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby >= %{rubyabi}
BuildRequires: ruby-devel >= %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildRequires: qpid-cpp-client-devel
BuildRequires: rubygem-minitest
BuildRequires: rubygem-rspec-core

Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems)
Requires:      ruby >= %{rubyabi}


Patch1: 01-Remove-Boost-from-LICENSE.patch


%description
Qpid is an enterprise messaging framework. This package provides Ruby
language bindings based on that framework.


%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}


%description doc
Documentation for %{name}


%prep
%setup -q -c -T -n %{gem_name}-%{version}

# apply patches
pushd ..
gem unpack %{SOURCE0}
pushd %{gem_name}-%{version}
gem spec %{SOURCE0} --local --ruby > %{gem_name}.spec

%patch1 -p6

gem build %{gem_name}.spec
popd
popd

mkdir -p .%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gem_dir} \
            -V \
            --force \
            --rdoc \
            ../%{gem_name}-%{version}/%{gem_name}-%{version}.gem
            # %{SOURCE0}


%build


%install
install -d -m0755 %{buildroot}%{gem_dir}
install -d -m0755 %{buildroot}%{gem_extdir}/%{gem_name}

cp -a .%{gem_dir}/* \
      %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir}/
mv %{buildroot}%{gem_instdir}/lib/cqpid.so \
   %{buildroot}%{gem_extdir}/

rm -rf %{buildroot}%{gem_instdir}/ext

%check
pushd .%{gem_instdir}
# only execute the Rspec tests since the Cucumber tests
# require a locally running Qpid broker
rspec spec/qpid/*_spec.rb
popd


%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/examples
%{gem_instdir}/features
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/TODO


%changelog
* Wed Jul 18 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-12.1
- Fixed the library directory name.

* Thu May 10 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-12
- Removed Boost licensing text from LICENSE.
- Resolves: rhbz#817639/QPID-3992

* Tue May  1 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-11
- Removed the BuildArch: noarch
  * The difference in filenames for docs caused the build to fail.

* Tue May  1 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-10
- First official release for Fedora 16.

* Mon Apr 30 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-9
- Changed the location of the F16 installed .so to the sitearch directory.

* Mon Apr 30 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-8
- Modified the specfile to build on Fedora 16 & Fedora 17.
- On Fedora 16, added BuildRequires: rubygem-rspec-core
- Added the full URL to the source gem.
- Added a note about the official location for the source gem.

* Mon Apr 30 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-7
- Added a note about removing the Boost license from LICENSE in future.
- Changed how the Rspec tests are invoked.
- Removed gem_libname macro from use.

* Thu Apr 26 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-6
- Removed cucumber dependency.
- Changed from using rake to using rspec directly for running tests.
- Added macros for running Rspec from the command line.
- Dropped dependencies which are no longer necessary:
  * rubygem-cucumber
  * rubygem-rake
  * rubygem-rake-compiler
- Removed the ext/cqpid directory from the installed RPM.
- Removed incorrect use of $REQUIRE_PATH

* Tue Apr 24 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-5
- Added Boost to the list of licenses.
- Unit tests are now executed.
- Added BR for rubygem-rake, rubygem-rake-compiler and rubygem-minitest.
- Moved the cqpid.so file to the exts directory.
- Moved examples, features, spec and Rakefile to the -doc package.
- Cleared up package ownerships for files.

* Fri Apr 13 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-4
- Replaced old RPM Ruby macros with newer versions.
- Added BuildRequires: rubygems-devel

* Thu Apr 12 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-3
- Specified which version is provided for ruby-qpid
- Changed the Ruby version required to 1.9 for Rawhide
- Added Obsoletes: ruby-qpid

* Wed Apr 11 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-2
- Added Provides: ruby-qpid
- Removed the runtime dependency on qpid-cpp-client-devel

* Mon Apr 09 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-1
- Initial packaging of release 0.16.
